# TODO: shared lib calls exit

Name:           iec16022
Version:        0.2.4
Release:        alt1_10
Summary:        Generate ISO/IEC 16022 2D barcodes

Group:          Engineering
License:        GPLv2+
URL:            http://www.datenfreihafen.org/projects/iec16022.html
Source0:        http://www.datenfreihafen.org/~stefan/iec16022/%{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-test-suite-fix.patch

BuildRequires:  libpopt-devel zlib-devel
Source44: import.info

%description
iec16022 is a program for producing ISO/IEC 16022 2D barcodes, also
known as Data Matrix.  These barcodes are defined in the ISO/IEC 16022
standard.

%package        libs
Summary:        ISO/IEC 16022 libraries
Group:          System/Libraries

%description    libs
%{summary}.

%package        devel
Summary:        ISO/IEC 16022 development files
Group:          Development/C
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q
%patch0 -p1 -b .orig


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/libiec16022.la


%check
export LD_LIBRARY_PATH=$RPM_BUILD_ROOT%{_libdir}
make -C test check

%files
%{_bindir}/iec16022
%{_mandir}/man1/iec16022.1*

%files libs
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libiec16022.so.*

%files devel
%{_includedir}/iec16022/
%{_libdir}/libiec16022.so
%{_libdir}/pkgconfig/libiec16022.pc


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_10
- update to new release by fcimport

* Tue Jan 22 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.4-alt1_9
- initial fc import

